Skip to content
This repository has been archived by the owner. It is now read-only.

iOS tutorial will not compile XCode 10.2 #3

Closed
visdyn opened this issue May 5, 2019 · 1 comment

Comments

@visdyn
Copy link

commented May 5, 2019

The iOS Demo will not compile with XCode 10.2 and cannot be converted with 10.2. It requires 10.1. Updating the pod file with

  # Pod for MongoDB / Stitch
    pod 'StitchSDK', '~> 6.0.0'

  # UI Extras
    pod 'Toast-Swift', '~> 5.0.0'
    pod 'BEMCheckBox', '~> 1.4.1'

helps but will still not compile with a number of errors such as

Command CompileSwift failed with a nonzero exit code
hasher.combine(id.oid) //this is fixed by adding 'bytes' to the parameter but the oid is still internally protected with an error of
'oid' is inaccessible due to 'internal' protection level

@visdyn

This comment has been minimized.

Copy link
Author

commented Jun 5, 2019

See new tutorials

MongoDB stitch

@visdyn visdyn closed this Jun 5, 2019

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
1 participant
You can’t perform that action at this time.